<?php
include_once ("../core/config.php");
$UTENTE = login();
$DIRITTI = diritti();
//isadmin();
?>
<body>
<link rel="stylesheet" type="text/css" href="<?php print $CONF['base_url'] ?>/css/stile.css" />

<table cellpadding="0" cellspacing="0" border="0" width="90%">
	<tr><td class="spaziov" colspan=9><img src="<?php print $CONF['base_url'] ?>/img/spazio.gif"></td></tr>
<?php

$idutente = $_GET['idutente'];
$query = "SELECT utente FROM utenti WHERE id = '$idutente'";
$res = mysql_query( $query, $DB_ID );
$dato = mysql_fetch_array ( $res );
$nomeutente = $dato['utente'];

$righe = 25;
if (isset($_GET['pag'])) {
	$pagina = $_GET['pag'];
	$inizio = ($_GET['pag'] - 1) * $righe;
} else {
	$pagina = 1;
	$inizio = 0;
}

$query = "SELECT COUNT(id) AS quanti, MIN(quando) AS inizio, MAX(quando) AS termine, sessione, ip FROM accessi_utenti WHERE utente = '$nomeutente' GROUP BY sessione ORDER BY termine DESC LIMIT $inizio, $righe";
$res = mysql_query( $query, $DB_ID );
$fatte = mysql_num_rows($res);
while ($dato = mysql_fetch_array ( $res )) {
?>
	<tr>
		<td class="campo">Indirizzo IP: <?php print $dato['ip']?></td>
		<td class="spazioh"><img src="<?php print $CONF['base_url'] ?>/img/spazio.gif"></td>
		<td class="campo">Accesso: <?php print $dato['inizio']?></td>
		<td class="spazioh"><img src="<?php print $CONF['base_url'] ?>/img/spazio.gif"></td>
		<td class="campo">Uscita: <?php print $dato['termine']?></td>
		<td class="spazioh"><img src="<?php print $CONF['base_url'] ?>/img/spazio.gif"></td>
		<td class="campo">Numero pagine: <?php print $dato['quanti']?></td>
		<td class="spazioh"><img src="<?php print $CONF['base_url'] ?>/img/spazio.gif"></td>
		<td rowspan=2 class="col3btn"><a href="dettlogutenti.php?ses=<?php print $dato['sessione']?>&idutente=<?php print $idutente ?>"><img src="<?php print $CONF['base_url'] ?>/img/dettagli.png" width="20" height="20" border="0" ALT="Dettaglio sessione" TITLE="Dettaglio sessione"></a></td>
	</tr>
	<tr><td class="spaziov" colspan=9><img src="<?php print $CONF['base_url'] ?>/img/spazio.gif"></td></tr>

<?php
} 
if ($fatte < $righe) {
	for ($i = $fatte; $i<=$righe; $i++) { ?>
	<tr><td class="campo" colspan=9>&nbsp;</td></tr>
<?php	}
}

$query = "SELECT sessione FROM accessi_utenti WHERE utente = '$nomeutente' GROUP BY sessione";
$res = mysql_query( $query, $DB_ID );
$records = mysql_num_rows($res);
$pagine = ceil($records / $righe)
?>
	<tr>	
		<td align="center" colspan=9>
<?php 	
for ($i=1;$i<=$pagine;$i++) { 
	if ($i == $pagina) {
		$stampa = "<b>$i</b>";
	} else {
		$stampa = "<a class=\"rtop\" href=\"?pag=$i&idutente=$idutente\">$i</a>";
	}
	print " $stampa ";
} ?>
		</td>
	</tr>
</table>
</body>
